Loading...
Searching...
No Matches
log4shib::FormatModifierComponent Struct Reference
Inheritance diagram for log4shib::FormatModifierComponent:
[legend]
Collaboration diagram for log4shib::FormatModifierComponent:
[legend]

## Public Member Functions

| FormatModifierComponent (PatternLayout::PatternComponent *component, size_t minWidth, size_t maxWidth, bool alignLeft)
virtual | ~FormatModifierComponent ()
virtual void | append (std::ostringstream &out, const LoggingEvent &event)
Public Member Functions inherited from log4shib::PatternLayout::PatternComponent
virtual | ~PatternComponent ()

## Constructor & Destructor Documentation

## FormatModifierComponent()

log4shib::FormatModifierComponent::FormatModifierComponent | ( | PatternLayout::PatternComponent * | component,
|  | size_t | minWidth,
|  | size_t | maxWidth,
|  | bool | alignLeft )

inline

## ~FormatModifierComponent()

virtual log4shib::FormatModifierComponent::~FormatModifierComponent | ( |  | ) |

inline virtual

## Member Function Documentation

## append()

virtual void log4shib::FormatModifierComponent::append | ( | std::ostringstream & | out,
|  | const LoggingEvent & | event )

inline virtual

Implements log4shib::PatternLayout::PatternComponent.

The documentation for this struct was generated from the following file:

- PatternLayout.cpp